Package org.apache.sis.xml

# Enum XLink.Actuate

Object
Enum<XLink.Actuate>
Actuate

All Implemented Interfaces:
  `Serializable`, `Comparable<XLink​.Actuate>`, `Constable`

Enclosing class:
  XLink

public static enum XLink.Actuate extends Enum<XLink.Actuate>
Communicates the desired timing of traversal from the starting resource to the ending resource.

Since:
  0.3
See Also:
  - `XLink​.getActuate()`

Defined in the `sis-metadata` module

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum​.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  Behavior is unconstrained.
  `ON_LOAD`
  Traverse to the ending resource immediately on loading the starting resource.
  `ON_REQUEST`
  Traverse from the starting resource to the ending resource only on a post-loading event triggered for this purpose.
  `OTHER`
  Behavior is unconstrained; examine other markup in link for hints.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static XLink​.Actuate`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static XLink​.Actuate[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ON_LOAD

    public static final XLink.Actuate ON_LOAD
    Traverse to the ending resource immediately on loading the starting resource.

  - ### ON_REQUEST

    public static final XLink.Actuate ON_REQUEST
    Traverse from the starting resource to the ending resource only on a post-loading event triggered for this purpose.

  - ### OTHER

    public static final XLink.Actuate OTHER
    Behavior is unconstrained; examine other markup in link for hints.

  - ### NONE

    public static final XLink.Actuate NONE
    Behavior is unconstrained.

- ## Method Details

  - ### values

    public static XLink.Actuate[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static XLink.Actuate valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null